% REAKTANTY
Ma=0.034;
Mb=0.29419;
roa=0.001;
rob=0.001;
Tin=273.15+25;

% PARAMETRE REAKCIE
H=-98300;
R=8.314;
E=3.0917e4;
k=9.0882e+006;

% REAKN ZMES
ro=0.001;
Vr=940;
Cp=4180;

% PARAMETRE HADA
% Ako sucin A*alfa=116.09
alfa=116.09;
A=1;

% CHLADIVO
Tchi=273.15+25;
k1ch=4.4256;
k2ch=-0.1407;

% OKOLIE
Tout=273.15+25;
ks=0.007;
Vp=Vr/0.94;
beta=ks*alfa*A;
% prietok peroxidu vodika [cm/s]
u2=15/60;
% prietok katalyzatora
u4=6/60;

q=u2+u4;
con_p0=(0.09*roa/Ma)
con_d0=(0.045*rob/Mb);
con_d=u4*con_d0/(q);
g=E/R;

x1s=1.5204e-004;
x2s=306.4042;
u5s=70/60;

a11=-(q/Vr)-(2*k*con_d)/exp(g/x2s);
a12=(-2*g*k*x1s*con_d)/(exp(g/x2s)*x2s^2);
a21=(-2*H*k*Vr*con_d)/(Cp*exp(g/x2s)*ro*Vp);
a22=-(q/Vp)-beta/(Cp*ro*Vp)-(k1ch*u5s+k2ch*u5s^2)/(Cp*ro*Vp)-(2*g*H*k*Vr*x1s*con_d)/(Cp*exp(g/x2s)*ro*Vp*x2s^2);
b1=0;
b2=-(((k1ch+2*k2ch*u5s)*(-Tchi+x2s))/(Cp*ro*Vp));

A=[a11 a12;a21 a22];
B=[b1;b2];
C=[0 1];
D=0;
[n d]=ss2tf(A,B,C,D);
n=n/d(3)
d=d/d(3)